package com.sxtvs.open.api.chat.service.impl;

import com.sxtvs.open.api.chat.entity.KimiChat;
import com.sxtvs.open.api.chat.entity.KimiChatGroup;
import com.sxtvs.open.api.chat.mapper.KimiChatGroupMapper;
import com.sxtvs.open.api.chat.service.IKimiChatGroupService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sxtvs.open.core.auth.AESUtil;
import com.sxtvs.open.core.auth.HttpContextUtil;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Optional;
import java.util.stream.Collectors;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author syj
 * @since 2024-03-25
 */
@Service
public class KimiChatGroupServiceImpl extends ServiceImpl<KimiChatGroupMapper, KimiChatGroup> implements IKimiChatGroupService {

    @Resource
    private KimiChatServiceImpl kimiChatService;

    public KimiChatGroup create(String content){
        KimiChatGroup kimiChatGroup = new KimiChatGroup();
        Optional<String> token = HttpContextUtil.getToken();
        String uid = AESUtil.decryptStr(token.get());
        kimiChatGroup.setUid(Long.valueOf(uid));
        kimiChatGroup.setTitle(content);
        kimiChatGroup.setCreateTime(LocalDateTime.now());
        save(kimiChatGroup);
        return kimiChatGroup;
    }

    public List<KimiChatGroup> listByUid(){
        Optional<String> token = HttpContextUtil.getToken();
        String uid = AESUtil.decryptStr(token.get());
        return lambdaQuery().eq(KimiChatGroup::getUid, Long.valueOf(uid)).list().stream().peek(group -> {
            group.setKimiChats(kimiChatService.lambdaQuery().eq(KimiChat::getGroupId, group.getId()).list());
        }).collect(Collectors.toList());
    }
}
